Apache JMeter

## org.apache.jmeter.protocol.http.sampler
Class HTTPSampleResult

    java.lang.Object
      org.apache.jmeter.samplers.SampleResult
          org.apache.jmeter.protocol.http.sampler.HTTPSampleResult

All Implemented Interfaces:
  Serializable

    public class HTTPSampleResult

extends SampleResult

This is a specialisation of the SampleResult class for the HTTP protocol.

See Also:
  Serialized Form

Field Summary

Fields inherited from class org.apache.jmeter.samplers.SampleResult
`BINARY, DEFAULT_HTTP_ENCODING, TEXT`

Constructor Summary
`HTTPSampleResult()`
`HTTPSampleResult(HTTPSampleResult res)` Construct a 'parent' result for an already-existing result, essentially cloning it
`HTTPSampleResult(long elapsed)`

Method Summary
`String` `getCookies()`
`String` `getDataEncodingWithDefault()` Overrides the method from SampleResult - so the encoding can be extracted from the Meta content-type if necessary.
`String` `getHTTPMethod()`
`String` `getQueryString()` Fetch the query string
`String` `getRedirectLocation()`
`String` `getSamplerData()` Overrides version in Sampler data to provide more details
`boolean` `isRedirect()` Determine whether this result is a redirect.
`void` `setCookies(String string)`
`void` `setHTTPMethod(String method)`
`void` `setQueryString(String string)` Save the query string
`void` `setRedirectLocation(String redirectLocation)`
`void` `setResponseNoContent()`

Methods inherited from class org.apache.jmeter.samplers.SampleResult

`addAssertionResult, addRawSubResult, addSubResult, createTestSample, createTestSample, currentTimeInMillis, getAllThreads, getAssertionResults, getBodySize, getBytes, getContentType, getDataEncodingNoDefault, getDataEncodingWithDefault, getDataType, getEndTime, getErrorCount, getGroupThreads, getHeadersSize, getIdleTime, getLatency, getMediaType, getParent, getRequestHeaders, getResponseCode, getResponseData, getResponseDataAsString, getResponseHeaders, getResponseMessage, getResultFileName, getSampleCount, getSampleLabel, getSampleLabel, getSaveConfig, getStartTime, getSubResults, getThreadName, getTime, getTimeStamp, getURL, getUrlAsString, isMonitor, isResponseCodeOK, isStampedAtStart, isStopTest, isStopTestNow, isStopThread, isSuccessful, latencyEnd, markFile, removeAssertionResults, removeSubResults, sampleEnd, samplePause, sampleResume, sampleStart, setAllThreads, setBodySize, setBytes, setContentType, setDataEncoding, setDataType, setEncodingAndType, setEndTime, setErrorCount, setGroupThreads, setHeadersSize, setIdleTime, setLatency, setMonitor, setParent, setRequestHeaders, setResponseCode, setResponseCodeOK, setResponseData, setResponseData, setResponseData, setResponseHeaders, setResponseMessage, setResponseMessageOK, setResponseOK, setResultFileName, setSampleCount, setSampleLabel, setSamplerData, setSaveConfig, setStampAndTime, setStartTime, setStopTest, setStopTestNow, setStopThread, setSuccessful, setThreadName, setTimeStamp, setURL, storeSubResult, toString`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Constructor Detail

### HTTPSampleResult

    public HTTPSampleResult()

### HTTPSampleResult

    public HTTPSampleResult(long elapsed)

### HTTPSampleResult

    public HTTPSampleResult(HTTPSampleResult res)

  Construct a 'parent' result for an already-existing result, essentially cloning it

  Parameters:
    `res` - existing sample result

Method Detail

### setHTTPMethod

    public void setHTTPMethod(String method)

### getHTTPMethod

    public String getHTTPMethod()

### setRedirectLocation

    public void setRedirectLocation(String redirectLocation)

### getRedirectLocation

    public String getRedirectLocation()

### isRedirect

    public boolean isRedirect()

  Determine whether this result is a redirect.

  Returns:
    true iif res is an HTTP redirect response

### getSamplerData

    public String getSamplerData()

  Overrides version in Sampler data to provide more details

  Overrides:
    `getSamplerData` in class `SampleResult`

### getCookies

    public String getCookies()

  Returns:
    cookies as a string

### setCookies

    public void setCookies(String string)

  Parameters:
    `string` - representing the cookies

### getQueryString

    public String getQueryString()

  Fetch the query string

  Returns:
    the query string

### setQueryString

    public void setQueryString(String string)

  Save the query string

  Parameters:
    `string` - the query string

### getDataEncodingWithDefault

    public String getDataEncodingWithDefault()

  Overrides the method from SampleResult - so the encoding can be extracted from the Meta content-type if necessary. Updates the dataEncoding field if the content-type is found.

  Overrides:
    `getDataEncodingWithDefault` in class `SampleResult`
  Returns:
    the dataEncoding value as a String

### setResponseNoContent

    public void setResponseNoContent()

Apache JMeter

Copyright © 1998-2011 Apache Software Foundation. All Rights Reserved.